Categories:
  - Security
License: MIT
AuthorName: Yogesh Choudhary Paliyal
AuthorEmail: yogeshpaliyal.foss@gmail.com
AuthorWebSite: https://yogeshpaliyal.com
SourceCode: https://github.com/yogeshpaliyal/KeyPass
IssueTracker: https://github.com/yogeshpaliyal/KeyPass/issues
Changelog: https://github.com/yogeshpaliyal/KeyPass/releases

AutoName: KeyPass

RepoType: git
Repo: https://github.com/yogeshpaliyal/KeyPass.git

Builds:
  - versionName: '1.3'
    versionCode: 3
    commit: v1.3
    subdir: app
    gradle:
      - production

  - versionName: 1.3.5
    versionCode: 1305
    commit: v1.3.5
    subdir: app
    gradle:
      - production

  - versionName: 1.3.8
    versionCode: 1308
    commit: 1309f3a7bd6ec39fc652053d40e390b05c9d3c84
    subdir: app
    gradle:
      - production

  - versionName: 1.3.9
    versionCode: 1309
    commit: 3f02beadc0c4b27526465d770e8a9f53bbdbad1f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.0
    versionCode: 1400
    commit: b294f9b56077d6ba034017cb6285f32d89369dc3
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.1
    versionCode: 1401
    commit: cfb4c598d9330bac4b4a032a0369678c614875dd
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.2
    versionCode: 1402
    commit: 05027aafd65dac35b437e61ca9a5ade41d594288
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.3
    versionCode: 1403
    commit: f26ed5275c0eb1fa5c4e09d4004d82be03b69450
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.4
    versionCode: 1404
    commit: 353668dff3d0bdeec6722a2acc3ae55bb1456a65
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.5
    versionCode: 1405
    commit: f922dc5ec409a2754142e65ddd4383ed32bbaa55
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.6
    versionCode: 1406
    commit: 33522183fe7654a95218e77d4cb7d369fdb3e1c2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.7
    versionCode: 1407
    commit: 5c474a9a2b33f4c92cf89245cf7da57251e0027a
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - production

  - versionName: 1.4.8
    versionCode: 1408
    commit: a1717bc107cd06390006bba9417f6fcfd68eda72
    subdir: app
    gradle:
      - production

  - versionName: 1.4.9
    versionCode: 1409
    commit: 11dd12c2b4bc1229ef5422379c92580221162198
    subdir: app
    gradle:
      - production

  - versionName: 1.4.12
    versionCode: 1412
    commit: 9218c912f136b2618240c42199f84c5e9e1a4498
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production

  - versionName: 1.4.13
    versionCode: 1413
    commit: 42ef3fac23eef3b733374f806e90b4159a255a1f
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production
    prebuild: sed -i -e '/pkg.jetbrains/d' ../settings.gradle.kts

  - versionName: 1.4.14
    versionCode: 1414
    commit: ce6af67de116b3745fe9166021a8eb6fad2dfd30
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production
    prebuild: sed -i -e '/pkg.jetbrains/d' ../settings.gradle.kts

  - versionName: 1.4.15
    versionCode: 1415
    commit: 8f4b31f8d1396effbf2d063d8703174288c28fe2
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - production
    prebuild: sed -i -e '/pkg.jetbrains/d' ../settings.gradle.kts

AutoUpdateMode: Version
UpdateCheckMode: Tags v.*[0-9]$
UpdateCheckData: app/build.gradle.kts|versionCode =\s(\d+)|.|versionName = "(\d.+)+"
CurrentVersion: 1.4.15
CurrentVersionCode: 1415
